## org.eclipse.datatools.sqltools.sql.parser.ast
Interface IASTStart

All Superinterfaces:
  Node

All Known Implementing Classes:
  ASTStart, ASTStart

    public interface IASTStart

extends Node

Represents the root node of the parsing result. Contains `IASTDeployable`, or `IASTSQLStatement`

Author:
  Hui Cao

Method Summary
`org.eclipse.jface.text.IDocument` `doGetDocument()`
`void` `doSetDocument(org.eclipse.jface.text.IDocument document)` IASTStart will always be supposed to be the root node of a parsing result, and only here the document information is really stored.

Methods inherited from interface org.eclipse.datatools.sqltools.sql.parser.ast.Node
`exists, getDocument, getEndOffset, getEndOffset, getFirstToken, getGreatestEndOffset, getGreatestEndOffset, getLastToken, getNextTokenOffset, getNextTokenOffset, getPreviousNode, getSQLText, getStartOffset, getStartOffset, jjtAccept, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, setDocument, setFirstToken, setLastToken`

Method Detail

### doSetDocument

    void doSetDocument(org.eclipse.jface.text.IDocument document)

  IASTStart will always be supposed to be the root node of a parsing result, and only here the document information is really stored. Calling child nodes' setDocument or getDocument will eventually goes to doSetDocument and doGetDocument.

  Parameters:
    `input` -

### doGetDocument

    org.eclipse.jface.text.IDocument doGetDocument()

  Returns: